import { PackageNamespace } from '@tablecheck/tablekit-package-namespace';
import type { PackageThemeValue } from '@tablecheck/tablekit-utils';
export declare const checkboxThemeNamespace = PackageNamespace.Checkbox;
interface PackageTheme {
    backgroundColorBox: PackageThemeValue;
    backgroundColorBoxInvalid: PackageThemeValue;
    backgroundColorInvalid: PackageThemeValue;
    borderColorBox: PackageThemeValue;
    borderColorBoxInvalid: PackageThemeValue;
    fillColorInvalid: PackageThemeValue;
    textColor: PackageThemeValue;
    textColorDisabled: PackageThemeValue;
    textColorInvalid: PackageThemeValue;
}
declare module '@emotion/react' {
    interface Theme {
        [checkboxThemeNamespace]: PackageTheme;
    }
}
export declare const checkboxClassicTheme: PackageTheme;
export declare const checkboxDarkTheme: PackageTheme;
export {};
